---
SPDXID: "SPDXRef-DOCUMENT"
spdxVersion: "SPDX-2.2"
creationInfo:
  created: "2023-05-24T05:17:58Z"
  creators:
  - "Tool: OSS Review Toolkit - cc543c9380-dirty"
  licenseListVersion: "3.19"
name: "Unnamed document"
dataLicense: "CC0-1.0"
documentNamespace: "spdx://6b38cd2d-5114-43f7-9cce-e1c50c5b6af7"
documentDescribes:
- "SPDXRef-Project-Yarn-parent-1.0.0"
packages:
- SPDXID: "SPDXRef-Project-Yarn-parent-1.0.0"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "parent"
  summary: "NONE"
  versionInfo: "1.0.0"
- SPDXID: "SPDXRef-Package-NPM-autocompleter-5.1.0"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/autocompleter@5.1.0"
  filesAnalyzed: false
  homepage: "https://kraaden.github.io/autocomplete/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "MIT"
  name: "autocompleter"
  summary: "Blazing fast and lightweight autocomplete library without dependencies.\
    \ 1KB gzipped."
  versionInfo: "5.1.0"
- SPDXID: "SPDXRef-Package-NPM-autocompleter-5.1.0-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/kraaden/autocomplete.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/autocompleter@5.1.0"
  filesAnalyzed: false
  homepage: "https://kraaden.github.io/autocomplete/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "autocompleter"
  summary: "Blazing fast and lightweight autocomplete library without dependencies.\
    \ 1KB gzipped."
  versionInfo: "5.1.0"
- SPDXID: "SPDXRef-Package-NPM-autocompleter-5.1.0-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://registry.npmjs.org/autocompleter/-/autocompleter-5.1.0.tgz"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/autocompleter@5.1.0"
  filesAnalyzed: false
  homepage: "https://kraaden.github.io/autocomplete/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "autocompleter"
  summary: "Blazing fast and lightweight autocomplete library without dependencies.\
    \ 1KB gzipped."
  versionInfo: "5.1.0"
- SPDXID: "SPDXRef-Package-NPM-autocompleter-5.2.0"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/autocompleter@5.2.0"
  filesAnalyzed: false
  homepage: "https://kraaden.github.io/autocomplete/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "MIT"
  name: "autocompleter"
  summary: "Blazing fast and lightweight autocomplete library without dependencies.\
    \ 1KB gzipped."
  versionInfo: "5.2.0"
- SPDXID: "SPDXRef-Package-NPM-autocompleter-5.2.0-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/kraaden/autocomplete.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/autocompleter@5.2.0"
  filesAnalyzed: false
  homepage: "https://kraaden.github.io/autocomplete/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "autocompleter"
  summary: "Blazing fast and lightweight autocomplete library without dependencies.\
    \ 1KB gzipped."
  versionInfo: "5.2.0"
- SPDXID: "SPDXRef-Package-NPM-autocompleter-5.2.0-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://registry.npmjs.org/autocompleter/-/autocompleter-5.2.0.tgz"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/autocompleter@5.2.0"
  filesAnalyzed: false
  homepage: "https://kraaden.github.io/autocomplete/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "autocompleter"
  summary: "Blazing fast and lightweight autocomplete library without dependencies.\
    \ 1KB gzipped."
  versionInfo: "5.2.0"
- SPDXID: "SPDXRef-Package-NPM-balloon-css-0.5.2"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/balloon-css@0.5.2"
  filesAnalyzed: false
  homepage: "http://kazzkiq.github.io/balloon.css/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "MIT"
  name: "balloon-css"
  summary: "Simple tooltips made of pure CSS"
  versionInfo: "0.5.2"
- SPDXID: "SPDXRef-Package-NPM-balloon-css-0.5.2-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/kazzkiq/balloon.css.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/balloon-css@0.5.2"
  filesAnalyzed: false
  homepage: "http://kazzkiq.github.io/balloon.css/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "balloon-css"
  summary: "Simple tooltips made of pure CSS"
  versionInfo: "0.5.2"
- SPDXID: "SPDXRef-Package-NPM-balloon-css-0.5.2-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://registry.npmjs.org/balloon-css/-/balloon-css-0.5.2.tgz"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/balloon-css@0.5.2"
  filesAnalyzed: false
  homepage: "http://kazzkiq.github.io/balloon.css/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "balloon-css"
  summary: "Simple tooltips made of pure CSS"
  versionInfo: "0.5.2"
- SPDXID: "SPDXRef-Package-NPM-file-saver-2.0.5"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/file-saver@2.0.5"
  filesAnalyzed: false
  homepage: "https://github.com/eligrey/FileSaver.js#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "MIT"
  name: "file-saver"
  summary: "An HTML5 saveAs() FileSaver implementation"
  versionInfo: "2.0.5"
- SPDXID: "SPDXRef-Package-NPM-file-saver-2.0.5-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/eligrey/FileSaver.js.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/file-saver@2.0.5"
  filesAnalyzed: false
  homepage: "https://github.com/eligrey/FileSaver.js#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "file-saver"
  summary: "An HTML5 saveAs() FileSaver implementation"
  versionInfo: "2.0.5"
- SPDXID: "SPDXRef-Package-NPM-file-saver-2.0.5-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://registry.npmjs.org/file-saver/-/file-saver-2.0.5.tgz"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/file-saver@2.0.5"
  filesAnalyzed: false
  homepage: "https://github.com/eligrey/FileSaver.js#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "file-saver"
  summary: "An HTML5 saveAs() FileSaver implementation"
  versionInfo: "2.0.5"
- SPDXID: "SPDXRef-Package-NPM-inversify-5.1.1"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/inversify@5.1.1"
  filesAnalyzed: false
  homepage: "http://inversify.io"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "MIT"
  name: "inversify"
  summary: "A powerful and lightweight inversion of control container for JavaScript\
    \ and Node.js apps powered by TypeScript."
  versionInfo: "5.1.1"
- SPDXID: "SPDXRef-Package-NPM-inversify-5.1.1-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/inversify/InversifyJS.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/inversify@5.1.1"
  filesAnalyzed: false
  homepage: "http://inversify.io"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "inversify"
  summary: "A powerful and lightweight inversion of control container for JavaScript\
    \ and Node.js apps powered by TypeScript."
  versionInfo: "5.1.1"
- SPDXID: "SPDXRef-Package-NPM-inversify-5.1.1-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://registry.npmjs.org/inversify/-/inversify-5.1.1.tgz"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/inversify@5.1.1"
  filesAnalyzed: false
  homepage: "http://inversify.io"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "inversify"
  summary: "A powerful and lightweight inversion of control container for JavaScript\
    \ and Node.js apps powered by TypeScript."
  versionInfo: "5.1.1"
- SPDXID: "SPDXRef-Package-NPM-snabbdom-3.5.1"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/snabbdom@3.5.1"
  filesAnalyzed: false
  homepage: "https://github.com/snabbdom/snabbdom#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "MIT"
  name: "snabbdom"
  summary: "A virtual DOM library with focus on simplicity, modularity, powerful features\
    \ and performance."
  versionInfo: "3.5.1"
- SPDXID: "SPDXRef-Package-NPM-snabbdom-3.5.1-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/snabbdom/snabbdom.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/snabbdom@3.5.1"
  filesAnalyzed: false
  homepage: "https://github.com/snabbdom/snabbdom#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "snabbdom"
  summary: "A virtual DOM library with focus on simplicity, modularity, powerful features\
    \ and performance."
  versionInfo: "3.5.1"
- SPDXID: "SPDXRef-Package-NPM-snabbdom-3.5.1-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://registry.npmjs.org/snabbdom/-/snabbdom-3.5.1.tgz"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/snabbdom@3.5.1"
  filesAnalyzed: false
  homepage: "https://github.com/snabbdom/snabbdom#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "snabbdom"
  summary: "A virtual DOM library with focus on simplicity, modularity, powerful features\
    \ and performance."
  versionInfo: "3.5.1"
- SPDXID: "SPDXRef-Package-NPM-sprotty-0.13.0-next.f4445dd.342.f4445dd"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/sprotty@0.13.0-next.f4445dd.342%2Bf4445dd"
  filesAnalyzed: false
  homepage: "https://github.com/eclipse/sprotty"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0 OR GPL-2.0-only WITH Classpath-exception-2.0"
  name: "sprotty"
  summary: "A next-gen framework for graphical views"
  versionInfo: "0.13.0-next.f4445dd.342+f4445dd"
- SPDXID: "SPDXRef-Package-NPM-sprotty-0.13.0-next.f4445dd.342.f4445dd-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/eclipse/sprotty.git#packages/sprotty"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/sprotty@0.13.0-next.f4445dd.342%2Bf4445dd"
  filesAnalyzed: false
  homepage: "https://github.com/eclipse/sprotty"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "sprotty"
  summary: "A next-gen framework for graphical views"
  versionInfo: "0.13.0-next.f4445dd.342+f4445dd"
- SPDXID: "SPDXRef-Package-NPM-sprotty-protocol-0.13.0-next.f4445dd.342.f4445dd"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/sprotty-protocol@0.13.0-next.f4445dd.342%2Bf4445dd"
  filesAnalyzed: false
  homepage: "https://github.com/eclipse/sprotty"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0 OR GPL-2.0-only WITH Classpath-exception-2.0"
  name: "sprotty-protocol"
  summary: "TypeScript declarations for Sprotty to be used both in browser and Node.js\
    \ context"
  versionInfo: "0.13.0-next.f4445dd.342+f4445dd"
- SPDXID: "SPDXRef-Package-NPM-sprotty-protocol-0.13.0-next.f4445dd.342.f4445dd-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/eclipse/sprotty.git#packages/sprotty-protocol"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/sprotty-protocol@0.13.0-next.f4445dd.342%2Bf4445dd"
  filesAnalyzed: false
  homepage: "https://github.com/eclipse/sprotty"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "sprotty-protocol"
  summary: "TypeScript declarations for Sprotty to be used both in browser and Node.js\
    \ context"
  versionInfo: "0.13.0-next.f4445dd.342+f4445dd"
- SPDXID: "SPDXRef-Package-NPM-tinyqueue-2.0.3"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/tinyqueue@2.0.3"
  filesAnalyzed: false
  homepage: "https://github.com/mourner/tinyqueue"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "ISC"
  name: "tinyqueue"
  summary: "The smallest and simplest JavaScript priority queue"
  versionInfo: "2.0.3"
- SPDXID: "SPDXRef-Package-NPM-tinyqueue-2.0.3-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/mourner/tinyqueue.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/tinyqueue@2.0.3"
  filesAnalyzed: false
  homepage: "https://github.com/mourner/tinyqueue"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "tinyqueue"
  summary: "The smallest and simplest JavaScript priority queue"
  versionInfo: "2.0.3"
- SPDXID: "SPDXRef-Package-NPM-tinyqueue-2.0.3-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://registry.npmjs.org/tinyqueue/-/tinyqueue-2.0.3.tgz"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/tinyqueue@2.0.3"
  filesAnalyzed: false
  homepage: "https://github.com/mourner/tinyqueue"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "tinyqueue"
  summary: "The smallest and simplest JavaScript priority queue"
  versionInfo: "2.0.3"
- SPDXID: "SPDXRef-Package-NPM-uuid-7.0.3"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/uuid@7.0.3"
  filesAnalyzed: false
  homepage: "https://github.com/uuidjs/uuid#readme"
  licenseConcluded: "MIT"
  licenseDeclared: "MIT"
  name: "uuid"
  summary: "RFC4122 (v1, v4, and v5) UUIDs"
  versionInfo: "7.0.3"
- SPDXID: "SPDXRef-Package-NPM-uuid-7.0.3-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/uuidjs/uuid.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/uuid@7.0.3"
  filesAnalyzed: false
  homepage: "https://github.com/uuidjs/uuid#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "uuid"
  summary: "RFC4122 (v1, v4, and v5) UUIDs"
  versionInfo: "7.0.3"
- SPDXID: "SPDXRef-Package-NPM-uuid-7.0.3-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://registry.npmjs.org/uuid/-/uuid-7.0.3.tgz"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/uuid@7.0.3"
  filesAnalyzed: false
  homepage: "https://github.com/uuidjs/uuid#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "uuid"
  summary: "RFC4122 (v1, v4, and v5) UUIDs"
  versionInfo: "7.0.3"
- SPDXID: "SPDXRef-Package-NPM-vscode-jsonrpc-8.0.2"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/vscode-jsonrpc@8.0.2"
  filesAnalyzed: false
  homepage: "https://github.com/Microsoft/vscode-languageserver-node#readme"
  licenseConcluded: "MIT"
  licenseDeclared: "MIT"
  name: "vscode-jsonrpc"
  summary: "A json rpc implementation over streams"
  versionInfo: "8.0.2"
- SPDXID: "SPDXRef-Package-NPM-vscode-jsonrpc-8.0.2-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/Microsoft/vscode-languageserver-node.git#jsonrpc"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/vscode-jsonrpc@8.0.2"
  filesAnalyzed: false
  homepage: "https://github.com/Microsoft/vscode-languageserver-node#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "vscode-jsonrpc"
  summary: "A json rpc implementation over streams"
  versionInfo: "8.0.2"
- SPDXID: "SPDXRef-Package-NPM-vscode-jsonrpc-8.0.2-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://registry.npmjs.org/vscode-jsonrpc/-/vscode-jsonrpc-8.0.2.tgz"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/vscode-jsonrpc@8.0.2"
  filesAnalyzed: false
  homepage: "https://github.com/Microsoft/vscode-languageserver-node#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "vscode-jsonrpc"
  summary: "A json rpc implementation over streams"
  versionInfo: "8.0.2"
- SPDXID: "SPDXRef-Package-NPM-eclipse-glsp-client-1.1.0-next"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/%40eclipse-glsp/client@1.1.0-next"
  filesAnalyzed: false
  homepage: "https://www.eclipse.org/glsp/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0 OR GPL-2.0-only WITH Classpath-exception-2.0"
  name: "client"
  summary: "A sprotty-based client for GLSP"
  versionInfo: "1.1.0-next"
- SPDXID: "SPDXRef-Package-NPM-eclipse-glsp-client-1.1.0-next-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/eclipse-glsp/glsp-client.git#packages/client"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/%40eclipse-glsp/client@1.1.0-next"
  filesAnalyzed: false
  homepage: "https://www.eclipse.org/glsp/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "client"
  summary: "A sprotty-based client for GLSP"
  versionInfo: "1.1.0-next"
- SPDXID: "SPDXRef-Package-NPM-eclipse-glsp-protocol-1.1.0-next"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/%40eclipse-glsp/protocol@1.1.0-next"
  filesAnalyzed: false
  homepage: "https://www.eclipse.org/glsp/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0 OR GPL-2.0-only WITH Classpath-exception-2.0"
  name: "protocol"
  summary: "The protocol definition for client-server communication in GLSP"
  versionInfo: "1.1.0-next"
- SPDXID: "SPDXRef-Package-NPM-eclipse-glsp-protocol-1.1.0-next-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/eclipse-glsp/glsp-client.git#packages/protocol"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/%40eclipse-glsp/protocol@1.1.0-next"
  filesAnalyzed: false
  homepage: "https://www.eclipse.org/glsp/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "protocol"
  summary: "The protocol definition for client-server communication in GLSP"
  versionInfo: "1.1.0-next"
- SPDXID: "SPDXRef-Package-NPM-eclipse-glsp-examples-workflow-glsp-1.1.0-next"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/%40eclipse-glsp-examples/workflow-glsp@1.1.0-next"
  filesAnalyzed: false
  homepage: "https://www.eclipse.org/glsp/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0 OR GPL-2.0-only WITH Classpath-exception-2.0"
  name: "workflow-glsp"
  summary: "GLSP diagrams for the Workflow DSL"
  versionInfo: "1.1.0-next"
- SPDXID: "SPDXRef-Package-NPM-eclipse-glsp-examples-workflow-glsp-1.1.0-next-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/eclipse-glsp/glsp-client.git#examples/workflow-glsp"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/%40eclipse-glsp-examples/workflow-glsp@1.1.0-next"
  filesAnalyzed: false
  homepage: "https://www.eclipse.org/glsp/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "workflow-glsp"
  summary: "GLSP diagrams for the Workflow DSL"
  versionInfo: "1.1.0-next"
relationships:
- spdxElementId: "SPDXRef-Package-NPM-autocompleter-5.1.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-autocompleter-5.1.0-vcs"
- spdxElementId: "SPDXRef-Package-NPM-autocompleter-5.1.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-autocompleter-5.1.0-source-artifact"
- spdxElementId: "SPDXRef-Package-NPM-autocompleter-5.2.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-autocompleter-5.2.0-vcs"
- spdxElementId: "SPDXRef-Package-NPM-autocompleter-5.2.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-autocompleter-5.2.0-source-artifact"
- spdxElementId: "SPDXRef-Package-NPM-balloon-css-0.5.2"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-balloon-css-0.5.2-vcs"
- spdxElementId: "SPDXRef-Package-NPM-balloon-css-0.5.2"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-balloon-css-0.5.2-source-artifact"
- spdxElementId: "SPDXRef-Package-NPM-eclipse-glsp-client-1.1.0-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-autocompleter-5.1.0"
- spdxElementId: "SPDXRef-Package-NPM-eclipse-glsp-client-1.1.0-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-sprotty-0.13.0-next.f4445dd.342.f4445dd"
- spdxElementId: "SPDXRef-Package-NPM-eclipse-glsp-client-1.1.0-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-eclipse-glsp-protocol-1.1.0-next"
- spdxElementId: "SPDXRef-Package-NPM-eclipse-glsp-client-1.1.0-next"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-eclipse-glsp-client-1.1.0-next-vcs"
- spdxElementId: "SPDXRef-Package-NPM-eclipse-glsp-examples-workflow-glsp-1.1.0-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-balloon-css-0.5.2"
- spdxElementId: "SPDXRef-Package-NPM-eclipse-glsp-examples-workflow-glsp-1.1.0-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-eclipse-glsp-client-1.1.0-next"
- spdxElementId: "SPDXRef-Package-NPM-eclipse-glsp-examples-workflow-glsp-1.1.0-next"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-eclipse-glsp-examples-workflow-glsp-1.1.0-next-vcs"
- spdxElementId: "SPDXRef-Package-NPM-eclipse-glsp-protocol-1.1.0-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-sprotty-protocol-0.13.0-next.f4445dd.342.f4445dd"
- spdxElementId: "SPDXRef-Package-NPM-eclipse-glsp-protocol-1.1.0-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-uuid-7.0.3"
- spdxElementId: "SPDXRef-Package-NPM-eclipse-glsp-protocol-1.1.0-next"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-jsonrpc-8.0.2"
- spdxElementId: "SPDXRef-Package-NPM-eclipse-glsp-protocol-1.1.0-next"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-eclipse-glsp-protocol-1.1.0-next-vcs"
- spdxElementId: "SPDXRef-Package-NPM-file-saver-2.0.5"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-file-saver-2.0.5-vcs"
- spdxElementId: "SPDXRef-Package-NPM-file-saver-2.0.5"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-file-saver-2.0.5-source-artifact"
- spdxElementId: "SPDXRef-Package-NPM-inversify-5.1.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-inversify-5.1.1-vcs"
- spdxElementId: "SPDXRef-Package-NPM-inversify-5.1.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-inversify-5.1.1-source-artifact"
- spdxElementId: "SPDXRef-Package-NPM-snabbdom-3.5.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-snabbdom-3.5.1-vcs"
- spdxElementId: "SPDXRef-Package-NPM-snabbdom-3.5.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-snabbdom-3.5.1-source-artifact"
- spdxElementId: "SPDXRef-Package-NPM-sprotty-0.13.0-next.f4445dd.342.f4445dd"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-sprotty-protocol-0.13.0-next.f4445dd.342.f4445dd"
- spdxElementId: "SPDXRef-Package-NPM-sprotty-0.13.0-next.f4445dd.342.f4445dd"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-autocompleter-5.2.0"
- spdxElementId: "SPDXRef-Package-NPM-sprotty-0.13.0-next.f4445dd.342.f4445dd"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-file-saver-2.0.5"
- spdxElementId: "SPDXRef-Package-NPM-sprotty-0.13.0-next.f4445dd.342.f4445dd"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-inversify-5.1.1"
- spdxElementId: "SPDXRef-Package-NPM-sprotty-0.13.0-next.f4445dd.342.f4445dd"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-snabbdom-3.5.1"
- spdxElementId: "SPDXRef-Package-NPM-sprotty-0.13.0-next.f4445dd.342.f4445dd"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-tinyqueue-2.0.3"
- spdxElementId: "SPDXRef-Package-NPM-sprotty-0.13.0-next.f4445dd.342.f4445dd"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-sprotty-0.13.0-next.f4445dd.342.f4445dd-vcs"
- spdxElementId: "SPDXRef-Package-NPM-sprotty-protocol-0.13.0-next.f4445dd.342.f4445dd"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-sprotty-protocol-0.13.0-next.f4445dd.342.f4445dd-vcs"
- spdxElementId: "SPDXRef-Package-NPM-tinyqueue-2.0.3"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-tinyqueue-2.0.3-vcs"
- spdxElementId: "SPDXRef-Package-NPM-tinyqueue-2.0.3"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-tinyqueue-2.0.3-source-artifact"
- spdxElementId: "SPDXRef-Package-NPM-uuid-7.0.3"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-uuid-7.0.3-vcs"
- spdxElementId: "SPDXRef-Package-NPM-uuid-7.0.3"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-uuid-7.0.3-source-artifact"
- spdxElementId: "SPDXRef-Package-NPM-vscode-jsonrpc-8.0.2"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-jsonrpc-8.0.2-vcs"
- spdxElementId: "SPDXRef-Package-NPM-vscode-jsonrpc-8.0.2"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-jsonrpc-8.0.2-source-artifact"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-autocompleter-5.1.0"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-balloon-css-0.5.2"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-sprotty-protocol-0.13.0-next.f4445dd.342.f4445dd"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-sprotty-0.13.0-next.f4445dd.342.f4445dd"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-uuid-7.0.3"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-jsonrpc-8.0.2"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-eclipse-glsp-examples-workflow-glsp-1.1.0-next"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-eclipse-glsp-client-1.1.0-next"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-eclipse-glsp-protocol-1.1.0-next"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-circular-dependency-plugin-5.2.2"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-css-loader-6.7.3"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-mvn-artifact-download-5.1.0"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-path-browserify-1.0.1"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-source-map-loader-4.0.1"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-style-loader-3.3.1"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-webpack-cli-4.10.0"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-webpack-5.76.0"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-eclipse-glsp-examples-workflow-server-1.1.0-next.c1be494.51.c1be494"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-eclipse-glsp-dev-1.1.0-next.164cf99.124.164cf99"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-types-node-16.18.10"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-types-uuid-3.4.5"
- spdxElementId: "SPDXRef-Project-Yarn-parent-1.0.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-codicons-0.0.25"
